Page MenuHomePhabricator

MobileFrontend and cyrillic scripts
Closed, ResolvedPublic

Description

When i click Talk on someones user page on ruwiki and srwiki i get error message Bad title The requested page title contains invalid characters: "%D0". .

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : wmf/1.27.0-wmf.14Decode an escaped data attribute before making an API request
mediawiki/extensions/MobileFrontend : masterDecode an escaped data attribute before making an API request

Event Timeline

Milicevic01 raised the priority of this task from to Needs Triage.
Milicevic01 updated the task description. (Show Details)
Milicevic01 added a project: MobileFrontend.
Milicevic01 added a subscriber: Milicevic01.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 17 2016, 3:41 PM
Jdlrobson triaged this task as Unbreak Now! priority.Feb 17 2016, 6:08 PM
Jdlrobson added a subscriber: Jdlrobson.

This is on the user profile page only.

bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-66-Harry is Tired board.

Change 271454 had a related patch set uploaded (by Bmansurov):
Decode an escaped data attribute before making an API request

https://gerrit.wikimedia.org/r/271454

Change 271454 merged by jenkins-bot:
Decode an escaped data attribute before making an API request

https://gerrit.wikimedia.org/r/271454

Jdlrobson closed this task as Resolved.Feb 18 2016, 6:23 PM
Jdlrobson added a subscriber: bmansurov.
Jdlrobson added a comment.EditedFeb 24 2016, 6:43 PM

This should probably have been SWATTed last week. It will roll out to all of wikimedia's wikis tomorrow evening PST.

Question is do we SWAT this evening?

It will roll out to all of wikimedia's wikis tomorrow evening PST.

That's not correct, unfortunately :( MW train wasn't deployed last week and won't be this week (see the blocker task T125597)[1][2]. So we're still stucked at wmf.14 as the next deployment release (all wikis except testwiki are on wmf.13, currently). So there are two/three problems here:

  • This week no train deployment
  • next week's train will probably be the next attempt to deploy wmf.14, not wmf.15 (like it's planned currently)
  • this change will be included in wmf.15, only, which currently is planned to be deployed next week (but look at the point above, so wmf.15 will, probably, rolled out in two weeks, not the next week (starting at 08 March))

Question is do we SWAT this evening?

I would say yes, because wmf.15 will not roll out before the next week (at earliest). The evening swat is empty so far :)[3]

[1] https://wikitech.wikimedia.org/wiki/Deployments
[2] https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap
[3] https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20160225T0000

Change 273296 had a related patch set uploaded (by BryanDavis):
Decode an escaped data attribute before making an API request

https://gerrit.wikimedia.org/r/273296

Change 273296 had a related patch set uploaded (by BryanDavis):
Decode an escaped data attribute before making an API request
https://gerrit.wikimedia.org/r/273296

I'll deploy this change as part of SWAT, but you should really fix this on the server side instead (i.e. fix the code that emits data-title to not emit a urlencoded value).

Change 273296 merged by jenkins-bot:
Decode an escaped data attribute before making an API request

https://gerrit.wikimedia.org/r/273296

The patch has been SWAT deployed.

Thanks baha! You're a star!